{
    attributes = (
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "FAU_ACTIVITE_AUTRE"; 
            externalType = VARCHAR2; 
            name = fauChampLibre; 
            valueClassName = NSString; 
            width = 2000; 
        }, 
        {
            columnName = "FAU_KEY"; 
            externalType = NUMBER; 
            name = fauKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "FAU_POSITION"; 
            externalType = NUMBER; 
            name = fauPosition; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "FAU_TYPE"; 
            externalType = VARCHAR2; 
            name = fauType; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "FDP_KEY"; 
            externalType = NUMBER; 
            name = fdpKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (fauKey); 
    className = "org.cocktail.fwkcktlgrh.common.metier.EORepartFdpAutre"; 
    classProperties = (
        dCreation, 
        dModification, 
        fauChampLibre, 
        fauPosition, 
        fauType, 
        toFicheDePoste, 
        tosRepartNiveauComp
    ); 
    externalName = "MANGUE.REPART_FDP_AUTRE"; 
    fetchSpecificationDictionary = {}; 
    name = "Fwkgrh_RepartFdpAutre"; 
    primaryKeyAttributes = (fauKey); 
    relationships = (
        {
            destination = "Fwkgrh_FicheDePoste"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fdpKey; sourceAttribute = fdpKey; }); 
            name = toFicheDePoste; 
        }, 
        {
            deleteRule = EODeleteRuleCascade; 
            destination = "Fwkgrh_RepartNiveauComp"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fauKey; sourceAttribute = fauKey; }); 
            name = tosRepartNiveauComp; 
        }
    ); 
}
